Bug 855583 - [TEXT] fix typo in the word formatted in message "... storage must be formated after remove"
[TEXT] fix typo in the word formatted in message "... storage must be formate...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.1.0
Assigned To: Oved Ourfali
Gadi Ickowicz
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-09 02:52 EDT by Oved Ourfali
Modified: 2016-02-10 13:07 EST (History)
13 users (show)

See Also:
Fixed In Version: SI18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oved Ourfali 2012-09-09 02:52:21 EDT
Description of problem:
When trying to remove a data domain without the "format" option, an error message is returned, but it has a typo (formated instead of formatted).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
This error is triggered when trying to delete a data domain, without the format option.
The UI already blocks this scenario, so it can be reproduces only when removing the storage domain via REST.

Example using CURL:
curl -X DELETE -v -u "myuser@mydomain":mypassword \
   -H "Content-type: application/xml" \
   -d "<storage_domain id=\"ca081725-7d45-43cd-9ac7-20c29de6ceb6\"><host id=\"eaffadfa-e6cf-11e1-87fa-77d0dfff24de\"/><format>false</format></storage_domain>" 'http://localhost:8080/api/storagedomains/ca081725-7d45-43cd-9ac7-20c29de6ceb6' \
    -v

Expected Results:
<?xml version="1.0" encoding="UTF-8" standalone="yes"?><fault><reason>Operation Failed</reason><detail>[Cannot remove Storage Domain. Data storage must be formatted after remove.
-Please verify that Format option is enabled on the Data Domain.]</detail></fault>

Actual Results:
<?xml version="1.0" encoding="UTF-8" standalone="yes"?><fault><reason>Operation Failed</reason><detail>[Cannot remove Storage Domain. Data storage must be formated after remove.
-Please verify that Format option is enabled on the Data Domain.]</detail></fault>
Comment 1 Oved Ourfali 2012-09-09 02:54:33 EDT
Fix by Sharad Mishra, http://gerrit.ovirt.org/#/c/7775/

Commit: 2beeb26d5ef46219f0b80e1f4435b78364a4100d

http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=2beeb26d5ef46219f0b80e1f4435b78364a4100d
Comment 2 Allon Mureinik 2012-09-10 07:44:00 EDT
Merged changed-id I4d02a9650a3e79e12f2d7f18fb81c0f22ef53eed.
Comment 3 Gadi Ickowicz 2012-10-02 11:14:57 EDT
Verified on SI19

rhevm-3.1.0-18.el6ev.noarch
rhevm-backend-3.1.0-18.el6ev.noarch

Note You need to log in before you can comment on or make changes to this bug.